Uses of Interface
org.apache.juneau.commons.function.ThrowingFunction
Packages that use ThrowingFunction
Package
Description
Assertions API
Comprehensive reflection utilities for working with classes, methods, fields, constructors,
and annotations in a more convenient and type-safe way than the standard Java reflection APIs.
Serializer Examples
Marshalling API
BSON (Binary JSON) marshalling support.
CBOR (Concise Binary Object Representation) marshalling support per RFC 8949.
CSV Marshalling Support
Hjson (Human JSON) format serializer and parser for Apache Juneau.
HOCON (Human-Optimized Config Object Notation) format serializer and parser for Apache Juneau.
HTML Marshalling Support
INI format serializer and parser for Apache Juneau.
JCS (JSON Canonicalization Scheme) Marshalling Support.
RDF Marshalling Support
JSON Marshalling Support.
JSON5 Marshalling Support.
JSON5L (JSON5 Lines) marshalling support.
JSONL (JSON Lines) marshalling support.
Markdown serializer and parser support for Apache Juneau.
MessagePack Marshalling Support
OpenAPI Marshalling Support
Apache Parquet serialization and parsing support.
Plaintext Marshalling Support
Serializer API
SOAP/XML Marshalling Support
Server-Sent Events (SSE) marshalling support —
text/event-stream.Swap API
TOML v1.0.0 serializer and parser for Apache Juneau.
UON Marshalling Support
URL-Encoding Marshalling Support
XML Marshalling Support
YAML Marshalling Support
Petstore-local marshalling support.
REST Method Argument Beans
-
Uses of ThrowingFunction in org.apache.juneau.bct.assertions
Methods in org.apache.juneau.bct.assertions with parameters of type ThrowingFunctionModifier and TypeMethodDescriptionFluentObjectAssertion.asString(ThrowingFunction<? super T, String> function) Converts this object to a string using the specified function and returns it as a new assertion.FluentObjectAssertion.isSameSerializedAs(Object o, ThrowingFunction<? super T, String> function) Asserts that the specified object is the same as this object after converting both to strings using the specified function. -
Uses of ThrowingFunction in org.apache.juneau.commons.reflect
Methods in org.apache.juneau.commons.reflect with parameters of type ThrowingFunctionModifier and TypeMethodDescriptionProperty.Builder.getter(ThrowingFunction<T, V> producer) Sets the producer (getter) using a function.Constructors in org.apache.juneau.commons.reflect with parameters of type ThrowingFunctionModifierConstructorDescriptionProperty(ThrowingFunction<T, V> producer, ThrowingConsumer2<T, V> consumer) Constructor. -
Uses of ThrowingFunction in org.apache.juneau.examples.serializer
Classes in org.apache.juneau.examples.serializer that implement ThrowingFunctionModifier and TypeClassDescriptionclassExample serializer that convertsBufferedImageobjects to byte streams. -
Uses of ThrowingFunction in org.apache.juneau.marshall
Methods in org.apache.juneau.marshall with parameters of type ThrowingFunctionModifier and TypeMethodDescription<T,S> MarshallingContext.Builder MarshallingContext.Builder.swap(Class<T> normalClass, Class<S> swappedClass, ThrowingFunction<T, S> swapFunction) A shortcut for defining aFunctionalSwap.<T,S> MarshallingContext.Builder MarshallingContext.Builder.swap(Class<T> normalClass, Class<S> swappedClass, ThrowingFunction<T, S> swapFunction, ThrowingFunction<S, T> unswapFunction) A shortcut for defining aFunctionalSwap.<T,S> SELF MarshallingContextable.Builder.swap(Class<T> normalClass, Class<S> swappedClass, ThrowingFunction<T, S> swapFunction) A shortcut for defining aFunctionalSwap.<T,S> SELF MarshallingContextable.Builder.swap(Class<T> normalClass, Class<S> swappedClass, ThrowingFunction<T, S> swapFunction, ThrowingFunction<S, T> unswapFunction) A shortcut for defining aFunctionalSwap. -
Uses of ThrowingFunction in org.apache.juneau.marshall.bson
Classes in org.apache.juneau.marshall.bson that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes POJO models to BSON (Binary JSON).static classDefault serializer, BASE64 string output.static classDefault serializer, spaced-hex string output. -
Uses of ThrowingFunction in org.apache.juneau.marshall.cbor
Classes in org.apache.juneau.marshall.cbor that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes POJO models to CBOR (RFC 8949).static classDefault serializer, BASE64 string output.static classDefault serializer, spaced-hex string output. -
Uses of ThrowingFunction in org.apache.juneau.marshall.csv
Classes in org.apache.juneau.marshall.csv that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes POJO models to CSV (Comma Separated Values) format. -
Uses of ThrowingFunction in org.apache.juneau.marshall.hjson
Classes in org.apache.juneau.marshall.hjson that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes POJO models to Hjson (Human JSON). -
Uses of ThrowingFunction in org.apache.juneau.marshall.hocon
Classes in org.apache.juneau.marshall.hocon that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes POJO models to HOCON (Human-Optimized Config Object Notation). -
Uses of ThrowingFunction in org.apache.juneau.marshall.html
Classes in org.apache.juneau.marshall.html that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes POJOs to HTTP responses as HTML documents.classSerializes POJO metamodels to HTML.classSerializes POJO metamodels to HTML.static classDefault serializer, with whitespace.static classDefault serializer, single quotes, simple mode.static classDefault serializer, single quotes, simple mode, with whitespace.classSerializes POJO models to HTML.static classDefault serializer, single quotes.static classDefault serializer, single quotes, whitespace added.classSerializes POJOs to HTTP responses as stripped HTML. -
Uses of ThrowingFunction in org.apache.juneau.marshall.ini
Classes in org.apache.juneau.marshall.ini that implement ThrowingFunction -
Uses of ThrowingFunction in org.apache.juneau.marshall.jcs
Classes in org.apache.juneau.marshall.jcs that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes POJO models to canonical JSON per RFC 8785 (JCS). -
Uses of ThrowingFunction in org.apache.juneau.marshall.jena
Classes in org.apache.juneau.marshall.jena that implement ThrowingFunctionModifier and TypeClassDescriptionclassSubclass ofRdfSerializerfor serializing POJOs to JSON-LD format.classSubclass ofRdfSerializerfor serializing POJOs to N3 (Notation3) format.classSubclass ofRdfSerializerfor serializing POJOs to N-Quads format.classSubclass ofRdfSerializerfor serializing POJOs to N-Triples notation.classSubclass ofRdfSerializerfor serializing POJOs to RDF/JSON notation.classStream-based RDF serializer for RDF/PROTO binary format.classSerializes POJOs to RDF.classStream-based RDF serializer for binary formats (RDF/THRIFT, RDF/PROTO).classStream-based RDF serializer for RDF/THRIFT binary format.classSubclass ofRdfSerializerfor serializing POJOs to RDF/XML-Abbrev (abbreviated XML notation).classSubclass ofRdfSerializerfor serializing POJOs to RDF/XML (standard XML notation).classSubclass ofRdfSerializerfor serializing POJOs to TriG format.classSubclass ofRdfSerializerfor serializing POJOs to TriX (XML) format.classSubclass ofRdfSerializerfor serializing POJOs to Turtle format. -
Uses of ThrowingFunction in org.apache.juneau.marshall.json
Classes in org.apache.juneau.marshall.json that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes POJO metadata to HTTP responses as JSON-Schema.static classDefault serializer, with whitespace.classSerializes POJO models to RFC 8259 JSON.static classDefault serializer, with whitespace. -
Uses of ThrowingFunction in org.apache.juneau.marshall.json5
Classes in org.apache.juneau.marshall.json5 that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes POJO models to Simplified JSON.static classDefault serializer, single quotes, simple mode, with whitespace. -
Uses of ThrowingFunction in org.apache.juneau.marshall.json5l
Classes in org.apache.juneau.marshall.json5l that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes POJO models to JSON5L (JSON5 Lines). -
Uses of ThrowingFunction in org.apache.juneau.marshall.jsonl
Classes in org.apache.juneau.marshall.jsonl that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes POJO models to JSONL (JSON Lines). -
Uses of ThrowingFunction in org.apache.juneau.marshall.markdown
Classes in org.apache.juneau.marshall.markdown that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes POJO models to Markdown document mode (headings + tables).classSerializes POJO models to Markdown (fragment mode: tables and lists). -
Uses of ThrowingFunction in org.apache.juneau.marshall.msgpack
Classes in org.apache.juneau.marshall.msgpack that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes POJO models to MessagePack.static classDefault serializer, BASE64 string output.static classDefault serializer, spaced-hex string output. -
Uses of ThrowingFunction in org.apache.juneau.marshall.oapi
Classes in org.apache.juneau.marshall.oapi that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes POJOs to values suitable for transmission as HTTP headers, query/form-data parameters, and path variables. -
Uses of ThrowingFunction in org.apache.juneau.marshall.parquet
Classes in org.apache.juneau.marshall.parquet that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes bean collections to Apache Parquet binary format. -
Uses of ThrowingFunction in org.apache.juneau.marshall.plaintext
Classes in org.apache.juneau.marshall.plaintext that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes POJOs to plain text using just thetoString() method on the serialized object. -
Uses of ThrowingFunction in org.apache.juneau.marshall.serializer
Classes in org.apache.juneau.marshall.serializer that implement ThrowingFunctionModifier and TypeClassDescriptionclassSubclass ofSerializerfor byte-based serializers.classSubclass ofSerializerfor character-based serializers. -
Uses of ThrowingFunction in org.apache.juneau.marshall.soap
Classes in org.apache.juneau.marshall.soap that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes POJOs to HTTP responses as XML+SOAP. -
Uses of ThrowingFunction in org.apache.juneau.marshall.sse
Classes in org.apache.juneau.marshall.sse that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializesSseEventobjects to thetext/event-stream wire format defined by the WHATWG Server-Sent Events spec. -
Uses of ThrowingFunction in org.apache.juneau.marshall.swap.spi
Constructors in org.apache.juneau.marshall.swap.spi with parameters of type ThrowingFunctionModifierConstructorDescriptionFunctionalSwap(Class<T> normalClass, Class<S> swappedClass, ThrowingFunction<T, S> swapFunction) Constructor.FunctionalSwap(Class<T> normalClass, Class<S> swappedClass, ThrowingFunction<T, S> swapFunction, ThrowingFunction<S, T> unswapFunction) Constructor. -
Uses of ThrowingFunction in org.apache.juneau.marshall.toml
Classes in org.apache.juneau.marshall.toml that implement ThrowingFunction -
Uses of ThrowingFunction in org.apache.juneau.marshall.uon
Classes in org.apache.juneau.marshall.uon that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes POJO models to UON (a notation for URL-encoded query parameter values).static classEquivalent toUonSerializer..create ().encoding().build();static classEquivalent toUonSerializer..create ().ws().build(); -
Uses of ThrowingFunction in org.apache.juneau.marshall.urlencoding
Classes in org.apache.juneau.marshall.urlencoding that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes POJO models to URL-encoded notation with UON-encoded values (a notation for URL-encoded query paramter values).static classEquivalent toUrlEncodingSerializer..create ().expandedParams().build();static classEquivalent toUrlEncodingSerializer..create ().plainTextParts().build();static classEquivalent toUrlEncodingSerializer..create ().useWhitespace().build(); -
Uses of ThrowingFunction in org.apache.juneau.marshall.xml
Classes in org.apache.juneau.marshall.xml that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes POJOs to HTTP responses as XML.static classDefault serializer without namespaces.classSerializes POJO models to XML.static classDefault serializer without namespaces.static classDefault serializer without namespaces, single quotes.static classDefault serializer without namespaces, single quotes, with whitespace.static classDefault serializer, single quotes.static classDefault serializer, single quotes, whitespace added. -
Uses of ThrowingFunction in org.apache.juneau.marshall.yaml
Classes in org.apache.juneau.marshall.yaml that implement ThrowingFunctionModifier and TypeClassDescriptionclassSerializes POJO models to YAML.static classDefault serializer, with whitespace. -
Uses of ThrowingFunction in org.apache.juneau.petstore.marshall
Classes in org.apache.juneau.petstore.marshall that implement ThrowingFunctionModifier and TypeClassDescriptionclass -
Uses of ThrowingFunction in org.apache.juneau.rest.server.arg
Constructors in org.apache.juneau.rest.server.arg with parameters of type ThrowingFunctionModifierConstructorDescriptionprotectedHttpServletRequestArgs(ThrowingFunction<jakarta.servlet.http.HttpServletRequest, T> function) Constructor.protectedHttpServletResponseArgs(ThrowingFunction<jakarta.servlet.http.HttpServletResponse, T> function) Constructor.protectedHttpSessionArgs(ThrowingFunction<jakarta.servlet.http.HttpSession, T> function) Constructor.protectedRestContextArgs(ThrowingFunction<RestContext, T> function) Constructor.protectedRestOpContextArgs(ThrowingFunction<RestOpContext, T> function) Constructor.protectedRestOpSessionArgs(ThrowingFunction<RestOpSession, T> function) Constructor.protectedRestRequestArgs(ThrowingFunction<RestRequest, T> function) Constructor.protectedRestResponseArgs(ThrowingFunction<RestResponse, T> function) Constructor.protectedRestSessionArgs(ThrowingFunction<RestSession, T> function) Constructor.protectedSimpleRestOperationArg(ThrowingFunction<RestOpSession, T> function) Constructor.